package com.zksy.property.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.property.domain.ADeviceInfo;

import java.util.List;

/**
* @author Administrator
* @description 针对表【a_device_info(设备信息表)】的数据库操作Service
* @createDate 2025-07-14 11:59:44
*/
public interface ADeviceInfoService extends IService<ADeviceInfo> {
    Page<ADeviceInfo> findByPage(long pageNum, long pageSize, String deviceName,String deviceType,String deviceNumber);
    List<ADeviceInfo> getADeviceInfoList(String deviceName,String deviceType,String deviceNumber);

    List<ADeviceInfo> getBySimplifiedHouseId(String simplifiedHouseId);
    boolean removeBatchId(String[] ids);
}
